lot
Prev | DocBook Element Reference | Next

This is an alpha version of this book.

# lot

lot — A list of the titles of formal objects (as tables or figures) in a document

## Synopsis

### Content Model

    lot ::=
    (beginpage?,
     (title,subtitle?,titleabbrev?)?,
     lotentry*)

### Attributes

Common attributes

Name | Type | Default
label | CDATA | None

## Description

A `LoT` is a list of titles. It can be used to generate lists of `Figure`s, `Table`s, `Example`s, or `Equation`s.

### Processing expectations

Formatted as a displayed block. A list of titles in a `Book` usually introduces a forced page break.

Most often, lists of titles are generated automatically by the presentation system and never have to be represented explicitly in the document source.

### Parents

These elements contain lot: `appendix`, `article`, `book`, `chapter`, `part`, `preface`, `sect1`, `sect2`, `sect3`, `sect4`, `sect5`, `section`.

### Children

The following elements occur in lot: `beginpage`, `lotentry`, `subtitle`, `title`, `titleabbrev`.

## Attributes

label

  `Label` specifies an identifying number or string that may be used in presentation.

## Examples

    <!DOCTYPE lot PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <lot><title>List of Figures</title>
    <lotentry pagenum='5'>The Letters &ldquo;g&rdquo; and &ldquo;h&rdquo;
       inside their boxes</lotentry>
    <lotentry pagenum='15'>Example figure produced by both TeX and
       troff</lotentry>
    <!-- ... -->
    </lot>

Prev | Home | Next
literallayout | Up | lotentry

Copyright© 1999, 2000, 2001 O'Reilly & Associates, Inc. All rights reserved.